Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/luaconsole_common.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
luaconsole_common.c File Reference
`#include <stdarg.h>`
`#include <string.h>`
`#include "fcintl.h"`
`#include "mem.h"`
`#include "featured_text.h"`
`#include "luaconsole_g.h"`
`#include "luaconsole_common.h"`

Go to the source code of this file.

## Functions

void | luaconsole_append (const struct ft_color color, const char *featured_text)
void | luaconsole_vprintf (const struct ft_color color, const char *format, va_list args)
void | luaconsole_printf (const struct ft_color color, const char *format,...)
void | luaconsole_event (const char *plain_text, const struct text_tag_list *tags)
void | luaconsole_welcome_message (void)

## Function Documentation

## ◆ luaconsole_append()

void luaconsole_append | ( | const struct ft_color | color,
|  | const char * | featured_text
| ) |  |

Add a line of text to the output ("chatline") window, like puts() would do it in the console.

Definition at line 40 of file luaconsole_common.c.

Referenced by luaconsole_vprintf(), and luaconsole_welcome_message().

## ◆ luaconsole_event()

void luaconsole_event | ( | const char * | plain_text,
|  | const struct text_tag_list * | tags
| ) |  |

Add a line of text to the output ("chatline") window from server event.

Definition at line 100 of file luaconsole_common.c.

## ◆ luaconsole_printf()

void luaconsole_printf | ( | const struct ft_color | color,
|  | const char * | format,
|  |  | ...
| ) |  |

Add a line of text to the output ("chatline") window. The text is constructed in printf style.

Definition at line 87 of file luaconsole_common.c.

Referenced by luaconsole_input_return(), and luaconsole_load_file_callback().

## ◆ luaconsole_vprintf()

void luaconsole_vprintf | ( | const struct ft_color | color,
|  | const char * | format,
|  | va_list | args
| ) |  |

Add a line of text to the output ("chatline") window. The text is constructed in printf style.

Definition at line 73 of file luaconsole_common.c.

Referenced by luaconsole_printf(), and script_client_output().

## ◆ luaconsole_welcome_message()

void luaconsole_welcome_message | ( | void |  | ) |

Standard welcome message.

Definition at line 109 of file luaconsole_common.c.

Referenced by luaconsole_dialog_init().